Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516723 - [Doc]- rgw service has to be restarted when compression is enabled/disabled.
Summary: [Doc]- rgw service has to be restarted when compression is enabled/disabled.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 3.0
Assignee: Bara Ancincova
QA Contact: Manohar Murthy
URL:
Whiteboard:
Depends On:
Blocks: 1496210
TreeView+ depends on / blocked
 
Reported: 2017-11-23 10:32 UTC by Manohar Murthy
Modified: 2017-12-26 03:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-26 03:40:15 UTC


Attachments (Terms of Use)

Description Manohar Murthy 2017-11-23 10:32:28 UTC
Description of problem:
Whenever compression is enabled or disabled, rgw service has to be restarted for compression setting to take effect.


Actual results:
Compression enable/disable will not take effect until service is restarted.


Additional info:
If multiple rgw service are running in a node, all should not be restarted at once.


Doc:
OBJECT GATEWAY GUIDE FOR RED HAT ENTERPRISE LINUX

3.5. Compression

Comment 4 Manohar Murthy 2017-12-01 06:33:47 UTC
Hi Bara,

It has documented saying "If a node contains multiple instances, restart them all at once.".But it should not be restarted at once.

@Casey,
can you please confirm if there are multiple rgw services are present then they  has to be restared at once or one after one.

Comment 6 Manohar Murthy 2017-12-01 09:23:59 UTC
Thanks Bara!!

Doc is updated so Moving it verified state.


Note You need to log in before you can comment on or make changes to this bug.